Skip to main content
GET
/
asset
/
summary
Get Asset Summary
curl --request GET \
  --url https://api.royalti.io/asset/summary \
  --header 'Authorization: Bearer <token>'
{
  "message": "success",
  "summary": {
    "total": 500,
    "byType": {
      "Audio": 450,
      "Video": 40,
      "Ringtone": 10
    },
    "byExplicit": {
      "explicit": 120,
      "clean": 380
    },
    "revenue": {
      "totalCount": 123,
      "totalRoyalty": 123
    }
  }
}
This endpoint requires authentication. Include your Bearer token in the Authorization header.

Code Examples

const response = await fetch('https://api.royalti.io/asset/summary', {
  method: 'GET',
  headers: {
    'Authorization': `Bearer ${token}`,
  },
});

const data = await response.json();
console.log(data);

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"

Response

Success

message
string
Example:

"success"

summary
object